Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80129 - Kernel does not support DMA with my drive/motherboard
Summary: Kernel does not support DMA with my drive/motherboard
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-20 10:17 UTC by John Barnes
Modified: 2007-04-18 16:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-05 13:17:14 UTC


Attachments (Terms of Use)
dmesg (deleted)
2002-12-20 10:47 UTC, John Barnes
no flags Details

Description John Barnes 2002-12-20 10:17:27 UTC
Description of problem:
Kernel fails to activate DMA on DVD drive

Version-Release number of selected component (if applicable):
2.4.18-18.8.0

How reproducible:
Fully

Steps to Reproduce:
1.Create /etc/sysconfig/harddiskhdc and edit to enable and set dma on DVD drive:
USE_DMA=1
EXTRA_PARAMS=-d1
2. Reboot PC
3.See failure in /var/log/messages
Dec 20 09:29:09 Titanic hdparm:  HDIO_SET_DMA failed: Operation not permitted
Dec 20 09:29:09 Titanic hdparm:  setting using_dma to 1 (on)
Dec 20 09:29:09 Titanic rc.sysinit: Setting hard drive parameters for hdc: 
succeeded
Dec 20 09:29:09 Titanic hdparm:  using_dma    =  0 (off)

    
Actual results:
hdparm always fials to set dma on hdc

Expected results:
dma should be settable. This is needed for acceptable DVD playback.

Additional info:
See attachment.

Comment 1 Arjan van de Ven 2002-12-20 10:29:06 UTC
From the release notes:

     o DMA is disabled on CD-ROM drives in this release in a different but
       more reliable way than previously. If you are sure that your CD-ROM
       drive is capable of IDE DMA, place the following line in the
       /etc/modules.conf file:

       options ide-cd dma=1


Comment 2 John Barnes 2002-12-20 10:47:03 UTC
Created attachment 88834 [details]
dmesg

Comment 3 John Barnes 2002-12-20 11:10:35 UTC
Thanks for your very quick response!

"options ide-cd dma=1" in /etc/modules.conf works fine.

Where should I have been looking to find this out for myself?

Comment 4 Michael Lee Yohe 2002-12-20 15:20:42 UTC
Quoting Arjan - "From the release notes:"


Note You need to log in before you can comment on or make changes to this bug.